<template>
  <div class="voucher-air-drop">
    <p class="title-component">
      {{ $t('bounty.bug_report.title', {tokens: settings.bug_report.value}) }}
    </p>

    <div class="article-group">
      <div class="article-item">
        <div class="article__content">
          <div class="article-input-wrapper">
            <div class="article__input-link">
              <input type="text" @focus="resetError"
                v-validate="'required'"
                data-vv-validate-on="none"
                name="title"
                class="article__url"
                v-model="title"
                @keyup.enter="create()"
                :placeholder="$t('bounty.bug_report.text_title')"
              >
              <br>
              <span class="error show" v-if="errors.has('title')">{{ errors.first('title') }}</span>
            </div>
          </div>
          <div class="article-input-wrapper">
            <div class="article__input-link">
              <textarea type="text" @focus="resetError"
                v-validate="'required'"
                data-vv-validate-on="none"
                name="description"
                class="article__url_textarea"
                v-model="description"
                :placeholder="$t('bounty.bug_report.text_description')"
              ></textarea>
              <br>
              <span class="error show" v-if="errors.has('description')">{{ errors.first('description') }}</span>
            </div>
          </div>
          <div class="btn-area">
            <button type="button" class="btn-submit" @click="create()">{{ $t('bounty.bug_report.btn_submit') }}</button>
          </div>
          <div class="article-input-wrapper">
            <div class="article__link-group" v-for="item in bugBounties">
              <div class="article__link-item">
                <div class="link">
                  {{ item.title }}
                </div>
                <div class="bounty">
                  {{ (item.status === 'approved' ? item.heta_tokens : 0) | formatCurrencyAmount('heta', '0') }}
                </div>

                <div :class="`status ${item.status}`">
                  {{ item.status | upperFirst }}
                </div>
              </div>
            </div>
          </div>
          <div class="ctu-total">
            <p class="title">{{ $t('common.heta_tokens') }}</p>
            <div class="number">{{ total | formatCurrencyAmount('heta', '0') }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import BaseBugBounty from '../../../home/pages/bounty_airdrop/BugBounty';

export default {
  extends: BaseBugBounty,
};
</script>
<style scoped lang="scss">
  @import "../../../../sass/mobile/typoVariables.scss";
  .voucher-air-drop {
    padding: 30rem 12rem;
  }
  .title-component {
    margin-bottom: 18rem;
  }
  .ctu-total {
    &:after {
      background: $bg_primary;
    }
  }
  .article-item {
    margin-bottom: 0;
    .article__title {
      font-size: 16rem;
      margin-bottom: 10rem;
    }
    .article__content {
      color: #858585;
      font-size: 12rem;
      margin-bottom: 0;
    }
    .article__text {
      display: none;
    }
    .article__input-link {
      font-size: 0;
      margin-bottom: 0;
      position: relative;
    }
    .article__url {
      vertical-align: middle;
      padding: 6rem 10rem;
      width: 100%;
      font-size: 13rem;
      color: #222c3c;
      border: 1rem solid #d2d2d2;
      background-color: #fff;
      border-radius: 74rem;

      &::placeholder {
        color: #b0b0b0;
        font-size: 13rem;
      }
    }
    .article__url_textarea {
      border: 1rem solid #d2d2d2;
      width: 100%;
      height: 140rem;
      border-radius: 10rem;
      padding: 6rem 10rem;
      font-size: 13rem;
      resize: none;
      margin-top: 18rem;
      background-color: #ffffff;
      outline: none;
      &::placeholder {
        color: #b0b0b0;
        font-size: 13rem;
      }
    }
    .article__btnAdd {
      display: inline-block;
      position: relative;
      vertical-align: middle;
      cursor: pointer;
      margin-left: 3rem;
      width: 32rem;
      height: 32rem;
      background-color: #fff;
      border: 1rem solid $orangeBold;
      border-radius: 74rem;
      font-size: 13rem;
      color: #222c3c;
      text-align: center;
      line-height: 34rem;
    }
    .btn-submit {
      width: 100%;
      height: 40rem;
      border-radius: 30px;
      background-color: #fa7300;
      font-size: 12rem;
      font-weight: bold;
      font-style: normal;
      font-stretch: normal;
      line-height: 2.5;
      letter-spacing: 0.5px;
      text-align: center;
      color: #ffffff;
      text-transform: uppercase;
      margin-top: 20rem;
      margin-bottom: 35rem;
      outline: none;
      border: none;
    }
    .article__description {
      font-size: 14rem;
      margin-bottom: 27rem;
    }
    .article__link-group {
      margin-top: 20rem;
      .article__link-item {
        font-size: 0;
        margin-bottom: 10rem;
        .bounty,
        .link,
        .status {
          display: inline-block;
          padding: 8rem;
          margin-right: 15rem;
          font-size: 13rem;
          background-color: #ebebeb;
          vertical-align: middle;
          color: #222c3c;
          border-radius: 74rem;
          border: 1rem solid #d8dbe7;
        }
        .bounty {
          width: 65rem;
        }
        .link {
          color: #222c3c;
          width: calc(100% - 30rem - 90rem - 65rem);
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          padding: 10rem;
          text-align: center;
        }

        .status {
          width: 90rem;
          margin-right: 0;
          padding: 10rem 5rem;
          text-align: center;
          text-transform: capitalize;
          &.pending {
            color: #fcb202;
          }
          &.rejected {
            color: #d0021b;
          }
          &.approved {
            color: #4caf50;
          }
        }
      }
    }
    .sub_title {
      font-size: 16rem;
      font-weight: normal;
      font-style: normal;
      font-stretch: normal;
      line-height: 1.25;
      letter-spacing: normal;
      color: #1c1c1c;
    }
  }
  .error {
    color: red;
    display: inline-block;
    margin-bottom: 5rem;
    font-size: 12rem;
    position: absolute;
    bottom: -20px;
    padding-left: 10rem;
    display: none;
    transition: all 0.3s ease-in-out;
    padding: 0 !important;
    &.show {
      display: block;
    }
  }
</style>
